Redmine - Patch #8757

Add hook for bulk edit post-save state
2011-07-06 23:40 - Ramesh Nair

Status: New Start date: 2011-07-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Hook requests Estimated time: 0.00 hour
Target version:

Description

There is a hook which gets invoked just after an individual issue gets updated, which allows for plugins to perform any post-save
actions. There ought to be a similar hook for when a number of issues have been updated via the bulk-editing process. I've patched
the core code to enable such a hook - “controller_issues_bulk_edit_after_save’.

Patch available at https://github.com/7citylearning/redmine/commit/f88c6ca01e89246b5bcd62fa26cc651ee33ba212

Related issues:

Has duplicate Redmine - Feature #25454: Add bulk edit after save hook Closed

Has duplicate Redmine - Feature #29897: hook: controller_issues_bulk_edit_aft... Closed

Has duplicate Redmine - Patch #5714: Request for controller_issues_bulk_edit_... Closed 2010-06-20
History

#1 - 2011-07-07 11:18 - Etienne Massip
- Category changed from Issues to Plugin API

#2 - 2015-03-05 15:23 - An Phan

+1. Some of the webhook plugins out there is not complete because of this hook missing, for example Redmine Webhook.

I've no idea why this takes so long to be merged. There was even a patch 4 years ago: #5714. | mean, how hard can it be to add this one liner into
issues_controller.rb?

call_hook(:controller_issues_bulk_edit_after_save, { :zparams => params, :issue => issue, :journal => journal })

#3 - 2015-04-25 03:50 - Hiroshi Miura

+1. To improve user productivity with webhook or other plugins, and chat platforms such as hipchat, slack, kandan and hubot.

#4 - 2016-04-22 22:51 - Adam Pfeiffer

| absolutely need this as well. It does seem to be a simple change that should have been there from the beginning. | will modify my code locally to
make sure this works with my plugin.

THanks

#5 - 2016-07-11 20:33 - Joel SCHAAL

+1

I would like to see that change in the next version.

Is this change too risky or too dirty ?
Does it need to be adapted before acceptance ?

#6 - 2016-08-29 00:29 - Naoki Yoshida

+1

#7 - 2016-08-29 06:25 - Toshi MARUYAMA
- Category changed from Plugin API to Hook requests

#8 - 2017-03-23 13:55 - Tobias B6hm

- File issues_controller_bulk_update_after _save hook.patch added
https://github.com/7citylearning/redmine/commit/f88c6ca01e89246b5bcd62fa26cc651ee33ba212
https://github.com/suer/redmine_webhook
https://www.redmine.org/issues/5714

| just created a patch for this issue that applies to the current master code base. Please find it attached.

#9 - 2017-04-21 09:43 - Toshi MARUYAMA
- Related to Feature #25454: Add bulk edit after save hook added

#10 - 2017-04-25 09:51 - Serghei Zagorinyak
This patch is wrong.

Implemented this way, if an exception is raised within bulk_edit_after_save it will prevent succeeding issues from being saved while they should be
processed and only the problematic issue should be rejected.

#11 - 2017-04-25 21:18 - Tobias Bohm

You are right, exceptions raising from the hook are not handled. But this applies also to the already existing hook
:controller_issues_bulk_edit_after_save. If an exception is raised there, all following issues will not be processed.

This should be addressed for the whole process (before-hook, save, after-hook) or loop at once, | guess, in a separate issue and patch.
#12 - 2017-04-26 10:20 - Serghei Zagorinyak
Tobias Béhm wrote:

You are right, exceptions raising from the hook are not handled. But this applies also to the already existing hook
:controller_issues_bulk_edit_after_save. If an exception is raised there, all following issues will not be processed.

This should be addressed for the whole process (before-hook, save, after-hook) or loop at once, | guess, in a separate issue and patch.

Yes, didn't notice that first. Hope this will be fixed someday.

#13 - 2017-04-27 11:54 - Toshi MARUYAMA
- Related to deleted (Feature #25454: Add bulk edit after save hook)

#14 - 2017-04-27 11:54 - Toshi MARUYAMA
- Has duplicate Feature #25454: Add bulk edit after save hook added

#15 - 2018-11-03 15:21 - Julian Maestri

- File controller_issues_bulk_edit_after_save.patch added

Patch based on redmine v3.4.6
To avoid the problems with stopping the bulk update if something fails on the hook, iterate over the saved issues after saving them.

#16 - 2018-11-03 15:29 - Marius BALTEANU

- Has duplicate Feature #29897: hook: controller_issues_bulk_edit_after_save added

#17 - 2018-11-03 22:33 - Go MAEDA

- Has duplicate Patch #5714: Request for controller_issues_bulk_edit_after_save hook added

#18 - 2018-11-21 08:16 - Jethro Yu

+1

I am modifying a plugin that reads journal of bulk edit issues, too.

https://github.com/jcppkkk/redmine_hipchat/commit/45d740de41bcaa68f64d5def16a9367e6291ed8b#diff-a7{255c397e668f358fc183f6802c3{3R25
Julian Maestri wrote:

Patch based on redmine v3.4.6
To avoid the problems with stopping the bulk update if something fails on the hook, iterate over the saved issues after saving them.

#19 - 2019-01-28 18:30 - Julian Maestri

Any chance for this to be included in the roadmap? at least as Unplanned?

#20 - 2024-09-14 10:21 - Marco Descher

+1 still waiting
Files

issues_controller_bulk_update_after_save_hook.patch 650 Bytes 2017-03-23 Tobias B6hm
controller_issues_bulk_edit_after_save.patch 1.08 KB 2018-11-03 Julian Maestri
